/***************************************************************************
 *   Copyright (C) 2007-2014 by Helge Kortendieck  alan@kasmithee.de       *
 *   aboutHelp.cpp  -  show about or help dialog                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/
#include "abouthelp.h"

aboutHelp::aboutHelp( QDialog* parent, Qt::WindowFlags fl )
	: QDialog( parent, fl )
{
	uih.setupUi( &wHelp );
	connect(uih.pB_Close, SIGNAL( clicked() ), this, SLOT( closeDlg() ) );
}

aboutHelp::~aboutHelp()
{
}

void aboutHelp::showAh(int iD)
{
	if(iD == 1) {
		showAbout();
	} else {
		showHelp();
	}
}

void aboutHelp::showAbout( )                // show about dialog
{
	sHelp = tr( "<html><body>"
				"qaplay - simple audio player, based on Qt5 and gstreamer0.10.<p>"
				"Version 3.0.3 , (C) 2006-2014 by Helge Kortendieck<p>"
				"This program is released under GPL2 or later.<p>"
				"</body></html>" );
	uih.tb_Help->setHtml( sHelp );
	wHelp.setWindowTitle( tr( "about qaplay" ) );
	wHelp.showNormal();
	wHelp.resize(610, 200);
	qPos = QCursor::pos();
	iD = qPos.x() - 500;
	if( iD < 0 ) {
		iD = 0;
	}
	iD2 = qPos.y() - 210;
	if( iD2 < 0 ) {
		iD2 = 0;
	}
	wHelp.move( iD, iD2 );
	wHelp.show();
}

void aboutHelp::showHelp( )                 // show help dialog
{
	sHelp = tr( "<html><body>"
				"<a name=""Top""><b>Table of content</b></a><br>"
				"<a href=""#Intro"">Introduction</a><br>"
				"<a href=""#Usage"">Starting</a><br>"
				"<a href=""#Options"">Options</a><br>"
				"<a href=""#Faq"">FAQ</a><br>"
				"<a href=""#Credits"">Credits</a><p>"

				"<hr>"
				"<a name=""Intro""><b><u>Introduction</u></b></a><p>"
				"qaplay is a small audio player using the Qt5 toolkit and gstreamer0.10. (gstreamer0.10 is currently (2013 July) a Qt5 restriction).<br>"
				"It is meant to play audio files by clicking on them in a file manager.<br>"
				"It will generate a list of all audio files in the dir of the selected song and plays the calling song and then to the end of the list.<br>"
				"An icon is displayed in the system tray, which allows to quit qaplay (stop playing does this currently too - see Usage below...) or to select the previous or next song (if available).<br>"
				"If playing audio file(s) is not stopped, qaplay exits at the end of the last song in the list (it will never play songs above the starting song in a dir - alone!).<br>"
				"qaplay will also play known music files in a directory, if called with the directory name alone.<br>"
				"qaplay will currently exit, if the playing of the current song is stopped. This will change, once showing the playlist of the current directory will be implemented. (You will then be able to re-start playing songs in the playlist...)<br>"
				"<a href=""#Top"">back to top</a><p>"

				"<hr>"
				"<a name=""Usage""><b><u>Starting</u></b></a><p>"
				"You can either<br>"
				"a) set qaplay as the default player for the audio mime types (the file types/endings) in your file manager for which you want to use it, or<br>"
				"b) right-click on the file to play, choose 'Open with...' and then select qaplay as the player. ('Open with...' or something similar, "   "depending on your file manger).<p>"
				"While the audio file is played, it can be stopped by right-clicking on the icon in the system tray and selecting 'Quit'.<br>"
				"qaplay will silently exit at the end of the last played audio file in the directory of the file qaplay was started with.<p>"
				"When qaplay is set to be the default player for a file type, you can play the file by simply left-clicking on it in the file manager.<br>"
				"Setting a program as the default program for a mime type varies between the different file managers.<br>"
				"An easy way is often to right-click on a file, choose 'Open with...' (or similar) and then check a checkbox with says something like 'set this "
				"program as the default program for this file type' .<br>"
				"If a checkbox like this is not available, it might be possible to set the default program for a mime type in the settings dialog of the file "
				"manager, accessable via a menu entry like 'Settings' or 'Configure'.<p>"
				"<a href=""#Top"">back to top</a><p>"

				"<hr>"
				"<a name=""Options""><b><u>Options</u></b></a><p>"
				"None available or needed. qaplay has no GUI, it has to be invoked with a file to play: 'qaplay mysong' !<p>"
				"<a href=""#Top"">back to top</a><p>"

				"<hr>"
				"<a name=""Faq""><b><u>FAQ</u></b></a><p>"
				"None so far.<p>"
				"<a href=""#Top"">back to top</a><p>"

				"<hr>"
				"<a name=""Credits""><b><u>Credits</u></b></a><p>"
				"Credits & Contributions:<p>"
				"The gstreamer team for creating such nice audio (and video) multimedia structure.<p>"
				"Icons where taken from the following themes made by the listed persons:<p>"
				"Menu icons are from the open_icon_library-GPL-0.10 ; see http://openiconlibrary.sourceforge.net/ licenses see: LICENSES_full_documentation_gpl.txt .<br>"
				"- about.svg - open_icon_library-GPL-0.10, actions/help-about.svg .<br>"
				"- help.svg - open_icon_library-GPL-0.10, actions/help-contents-3.svg updated by H. Kortendieck (me).<br>"
				"- info.svg - open_icon_library, help-about-3.svg, oxygen, CC-BY-SA 3.0 or LGPL<br>"
				"- prev.svg - open_icon_library-GPL-0.10, actions/go-previous-view.svg .<br>"
				"- next.svg - open_icon_library-GPL-0.10, actions/go-next-view.svg .<br>"
				"- stop.svg - open_icon_library-GPL-0.10, actions/media-playback-stop-8.svg .<br>"
				"- quit.svg - open_icon_library-GPL-0.10, actions/system-shutdown-6.svg .<br>"
				"- favAdd.svg - open_icon_library-GPL-0.10, actions/list-add-5.svg .<br>"
				"- favPlay.svg - open_icon_library-GPL-0.10, mimetypes/gnome-style/audio-x-generic-2.svg .<br>"
				"The systemtray icon, qaplay.svg, was created by me, Helge Kortendieck, using the icons audio-volume-high-4.svg and edit-delete-6.svg from the Open Icon Library. Both seem to be from the oxygen icon set and are licenced: CC-BY-SA 3.0 or LGPL.<br>"
				"The program icon is made by me, Helge Kortendieck, using Gimp on a personal shot of one of my loudspeakers.<p>"
				"Program and documentation Copyright 2006-2013 by Helge Kortendieck.<p>"
				"This program is released under GPL2 or later.<p>"
				"<a href=""#Top"">back to top</a><p>"
				"</body></html>" );
	uih.tb_Help->setHtml( sHelp );
	wHelp.setWindowTitle( tr( "qaplay - help" ) );
	wHelp.showFullScreen();
	wHelp.show();
}

void aboutHelp::closeDlg()
{
	emit sigDelete();
}


#include "abouthelp.moc"
