/***************************************************************************
 *   Copyright (C) 2007-2013 by Helge Kortendieck  alan@kasmithee.de       *
 *   aboutHelp.cpp  -  show about or help dialog                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/
#include "songinfo.h"

songInfo::songInfo( QDialog* parent, Qt::WindowFlags fl )
	: QDialog( parent, fl )
{
	uisi.setupUi( &wSi );
	connect(uisi.pB_Close, SIGNAL( clicked() ), this, SLOT( closeDlg() ) );
}

songInfo::~songInfo()
{
}

void songInfo::showSi(const SongInfo& siDSi)                // show about dialog
{
	uisi.l_Title->setText(siDSi.sTitle);
	uisi.l_Artist->setText(siDSi.sArtist);
	uisi.l_Album->setText(siDSi.sAlbum);
	uisi.l_Year->setText(siDSi.sYear);
	uisi.l_Track->setText(siDSi.sTrack);
	uisi.l_Genre->setText(siDSi.sGenre);
	uisi.l_Comment->setText(siDSi.sComment);
	
	qPos = QCursor::pos();
	iD = qPos.x() - 500;
	if( iD < 0 ) {
		iD = 0;
	}
	iD2 = qPos.y() - 210;
	if( iD2 < 0 ) {
		iD2 = 0;
	}
	wSi.move( iD, iD2 );
	wSi.show();
}


void songInfo::closeDlg()
{
	emit sigDelSi();
}


#include "songinfo.moc"
